<?php
//Ao voltar do form a pk será enviado via post
if (isset($_POST['pk']))
{
    $pk = $_POST['pk'];
}
//pelo include será pego o pk já definido no arquivo anterior
if ($pk != '')
{
    require_once './Control/ControlProduto.php';
    require_once './Util/Utilidades.php';
    $controlProduto = new ControlProduto();
    $produtoCategoria = $controlProduto->pegarTodosProdudoCategoriaporProduto($pk);
    //$ar = Utilidades::OrdenarArray($produtoCategoria->allToArray(), 'descricao');
    $ar = $produtoCategoria->allToArray();
    foreach ($ar as $key => &$row) {
        $categoria = $controlProduto->pegarUmCategoria($row['categoriaid']);
        $row['categoriaNome'] = $categoria->gNome();
    }
    unset($row);
    $ar = Utilidades::OrdenarArray($ar, 'categoriaNome');
    $arquivoForm = 'adm_produtoCategoriaForm.php';
    ?>
    <button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#divCategoria','acao=inserir&lang=ptbr&pk=<?php echo $pk?>');">Novo registro</button>
    <table class="datatable" id="gridCategoria">
        <thead>
            <tr>
                <?php
                $ColNomes = '<th>Categoria</th><th></th>';
                echo $ColNomes;
                ?>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($ar as $key => $row) {
                $pk = $row['produtocategoriaid'];
                $nome = $row['categoriaNome'];
                echo '<tr class="gradeA" id="categoriaID_' . $pk .'">';
                echo '<td>' . $row['categoriaNome'] . '</td>';
                echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#divCategoria\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
                echo '</tr>';
            }
            ?>
        </tbody>
        <tfoot><?php echo $ColNomes?></tfoot>
    </table>
    <script>
        iniciarDataTable('#gridCategoria');
    </script>
    <?php
            FormAjax::ExcluirRegistro('adm_produtoCategoriaCMD.php');
    ?>
<?php
} else
{
    echo '<p>Salve o produto antes de inserir categorias adicionais ao produto.</p>';
}
?>